classification
Title: urllib2+https+proxy not working
Type: enhancement Stage: test needed
Components: Library (Lib) Versions: Python 3.1, Python 3.2, Python 2.7
process
Status: closed Resolution: duplicate
Dependencies: 515003 Superseder:
Assigned To: orsenthil Nosy List: georg.brandl, jjlee, orsenthil, pefu, ruibmartins, vila
Priority: normal Keywords:

Created on 2006-03-13 15:55 by ruibmartins, last changed 2009-07-26 12:44 by orsenthil. This issue is now closed.

Messages (6)
msg54748 - (view) Author: Rui Martins (ruibmartins) Date: 2006-03-13 15:55
Using urllib2 to access an https site using a proxy 
doesn't work. It always returns "<HTML> </HTML>"

I've been looking around for bug reports on this and 
code samples, but all that I've got were emails/forum 
posts dating back to 2003 warning that the HTTPS over 
Proxy in urllib2 isn't implemented in Python!

Is this true?
msg54749 - (view) Author: John J Lee (jjlee) Date: 2006-04-15 17:27
Logged In: YES 
user_id=261020

Yes, there is no special support for using https proxies
(via the CONNECT method) in httplib or urllib2.

http://python.org/sf/515003 shows how to do it, but the
patch is not good enough to be added to the standard
library.  Feel free to write a better patch!

Please close this, since it's really a feature request, not
a bug.
msg54750 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2006-05-03 05:33
Logged In: YES 
user_id=849994

Moving to Feature Requests.
msg90262 - (view) Author: Peter Funk (pefu) Date: 2009-07-08 10:00
I stumbled about this here because of testing the Ubuntuone project:

http://en.oreilly.com/oscon2009/public/schedule/detail/8843

The client for the ubuntuone cloud computing suffers from being
unable to connect through a HTTPS proxy.  May be some of the folks
at Canonical are now willing to spend some time on this issue here?
It is recorded in the Ubuntu tracker as:
https://bugs.launchpad.net/ubuntu/+source/python2.6/+bug/94130

I think a lot of the corporate Ubuntu Linux users behind restrictive 
firewalls are affected by this problem.
msg90263 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2009-07-08 10:07
I noticed this one yesterday. There is a similar issue Issue1424152, the
fix for which is available in Py2.7. Would you try to that patch?
msg90940 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2009-07-26 12:44
Well, the fix for this same as that for Issue1424152.
Closing this issue as it is already handled.
History
Date User Action Args
2009-07-26 12:44:03orsenthilsetstatus: open -> closed
resolution: duplicate
messages: + msg90940
2009-07-08 10:08:50orsenthilsetassignee: orsenthil
2009-07-08 10:07:18orsenthilsetmessages: + msg90263
versions: + Python 3.1, Python 3.2
2009-07-08 10:00:06pefusetnosy: + pefu
messages: + msg90262
2009-02-12 17:38:04ajaksu2setnosy: + orsenthil
dependencies: + Added HTTP{,S}ProxyConnection
stage: test needed
versions: + Python 2.7
2008-01-05 14:09:50vilasetnosy: + vila
2006-03-13 15:55:10ruibmartinscreate